#include <iostream>
#include <bits/stdc++.h>
using namespace std;
long long binarna(long long a[], long long l, long long d, long long x)
{
    if (d >= l)
    {
        long long mid = l + (d - l) / 2;
        if (a[mid] == x)
            return mid;
        if (a[mid] > x)
            return binarna(a, l, mid - 1, x);
        return binarna(a, mid + 1, d, x);
    }
    return -1;
}
int main()
{
    long long n,br=0,q,p;
    cin>>n;
    long long a[n],b[n],c[n],d[n];
    for(long long i=0;i<n;i++)
    {
         cin>>a[i]>>b[i];
         c[i]=d[i]=i+1;
    }
    sort(a,a+n);
    sort(b,b+n);
    for(long long i=0;i<n;i++)
    for(long long i=0;i<n;i++)
    {
        q=binarna(a,0,n-1,c[i]);
        if(q!=-1)
        {
            a[q]=-1;
            c[i]=-1;
        }
        p=binarna(b,0,n-1,d[i]);
        if(p!=-1)
        {
            b[p]=-1;
            d[i]=-1;
        }
    }
    sort(a,a+n);
    sort(b,b+n);
    sort(c,c+n);
    sort(d,d+n);
    for(long long i=0;i<n;i++)
    {
        br+=abs(a[i]-c[i]+b[i]-d[i]);
    }
    cout<<br;
    return 0;
}